// project created on 30.09.2001 at 23:58
using System;
using System.Windows.Forms;
using System.Drawing;
using System.IO;

class MyForm : AppForm 
{
     public static void Main()
     {
             Application.Run(new MyForm());
     }
}


class AppForm : Form
{
	public  AppForm()
		{
			MainMenu mnuFileMenu = new MainMenu();
			this.Menu = mnuFileMenu;
			MenuItem MenuItemFile = new MenuItem("&File");
			MenuItem MenuNew = new MenuItem("New",new System.EventHandler(this.MenuNew_Click));
			MenuItemFile.MenuItems.Add(MenuNew);
			MenuItemFile.MenuItems.Add("Open",new System.EventHandler(this.MenuOpen_Click));
			MenuItemFile.MenuItems.Add("Save",new System.EventHandler(this.MenuSave_Click) );
			MenuItemFile.MenuItems.Add("Exit");
			MenuItem MenuItemEdit = new MenuItem("&Edit");
			MenuItemEdit.MenuItems.Add("Copy");
			MenuItemEdit.MenuItems.Add("Paste");
			mnuFileMenu.MenuItems.Add(MenuItemFile);
			mnuFileMenu.MenuItems.Add(MenuItemEdit);
			MenuItem MenuItemEditExt = new MenuItem("From File");
			MenuItemEditExt.MenuItems.Add("In File");
			MenuItemEditExt.MenuItems.Add("To File");
			MenuItemEdit.MenuItems.Add(MenuItemEditExt);
   
		}
	
	private void MenuNew_Click(Object sender, EventArgs e)
	{
     MessageBox.Show("Menu New");
	} 
	private void MenuOpen_Click(Object sender, EventArgs e)
	{
     MessageBox.Show("Menu Open");
	} 
	private void MenuSave_Click(Object sender, EventArgs e)
	{
	
	FileStream fs = new FileStream("d:\\test.txt", FileMode.OpenOrCreate, FileAccess.Write);
    StreamWriter w = new StreamWriter(fs);         
	w.Write("Test write ");
	w.Flush();
     w.Close(); 
     
        
	} 
}
